directories:
  output: release/${version}
  buildResources: dist
$schema: https://raw.githubusercontent.com/electron-userland/electron-builder/master/packages/app-builder-lib/scheme.json
appId: com.example.dexcloud
asar: true
productName: DexCloud
files:
  - filter:
      - dist
      - dist-electron
publish:
  provider: generic
  url: https://downloads.dexnet.cloud/win/
mac:
  icon: dist/assets/icons/icon.icns
  target:
    - dmg
  artifactName: ${productName}-Mac-Installer.${ext}
win:
  icon: dist/assets/icons/icon.ico
  target:
    - target: nsis
      arch:
        - x64
        - ia32
  artifactName: ${productName}-Win-Installer.${ext}
nsis:
  oneClick: false
  perMachine: false
  allowToChangeInstallationDirectory: true
  deleteAppDataOnUninstall: false
electronVersion: 36.1.0
